Java - Error al tratar de ejecutar desde la ventana shell

   
Vista:

Error al tratar de ejecutar desde la ventana shell

Publicado por Pablo (2 intervenciones) el 15/10/2007 22:07:02
hola amigos de todo el mundo necesito de su practica ayuda.
el caso es que compilo mi programa desde la ventana shell con el comando javac y no me crea ningun error, pero al darle para ejecutar(java [Nombre de mi programa]) salta este error :

Exception in thread "main" java.lang.UnsupportedClassVersionError: Format (Unsup
ported major.minor version 50.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)

alguien sabe cual es la razon.
NOTA: acavo de intalar el Java version 6 y segui todos lo pasos segun creo
pero no se la razon de este error
me despido a gradeciendo desde ya.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:Error al tratar de ejecutar desde la ventana sh

Publicado por angel (537 intervenciones) el 16/10/2007 07:58:03
Hola, eso parece una incompatibilidad de versiones, prueba a cuando compiles usar con el comando javac , el modificador -source VERSION y cuando ejecutes con java, el modificador -version VERSION.
Suerte y saludos
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Error al tratar de ejecutar desde la ventana sh

Publicado por pablo (2 intervenciones) el 16/10/2007 21:06:28
angel gracias por tu respuesta. instale el java se5 y funciono a la perfeccion gracias
aprendere con el 5 y luego volvere al 6.
Hay veces en que echando un pazo atras, se ganan 10 hacia adelante.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar